## mystic 0.4.1

=== docs/requirements.txt ===
# Packages required to build docs
# dependencies pinned as:
# https://github.com/readthedocs/readthedocs.org/blob/master/requirements/docs.txt

alabaster==0.7.12
babel==2.9.1
docutils==0.16
imagesize==1.3.0
importlib-metadata==4.11.3
jinja2==3.1.1
markupsafe==2.1.1
packaging==21.3
pygments==2.15.0
pyparsing==3.0.8
readthedocs-sphinx-search==0.1.1
requests==2.31.0
sphinx==4.5.0
sphinx-notfound-page==0.8
sphinx-rtd-theme==1.0.0

=== debian/changelog ===
mystic (0.4.1-1) unstable; urgency=medium

  * Initial upload (Closes: #1042442)

 -- Julian Gilbey <jdg@debian.org>  Fri, 28 Jul 2023 18:43:59 +0100

=== debian/control ===
Source: mystic
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-dill (>= 0.3.7),
               python3-klepto (>= 0.2.4),
               python3-matplotlib,
               python3-mpmath,
               python3-numpy,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-notfound-page <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-sympy
Standards-Version: 4.6.2
Homepage: https://github.com/uqfoundation/mystic
Vcs-Git: https://salsa.debian.org/python-team/packages/mystic.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mystic
Rules-Requires-Root: no
Description: Constrained nonlinear optimization
 The mystic framework provides a collection of optimization algorithms
 and tools that allows the user to more robustly (and easily) solve
 hard optimization problems for machine learning, uncertainty
 quantification and AI.  mystic gives the user fine-grained power to
 both monitor and steer optimizations as the fit processes are
 running.  Users can customize optimizer stop conditions, where both
 compound and user-provided conditions may be used.  Optimizers can
 save state, can be reconfigured dynamically, and can be restarted
 from a saved solver or from a results file.  All solvers can also
 leverage parallel computing, either within each iteration or as an
 ensemble of solvers.
 .
 mystic provides a stock set of configurable, controllable solvers
 with:
  * a common interface
  * a control handler with: pause, continue, exit, and callback
  * ease in selecting initial population conditions: guess, random, etc
  * ease in checkpointing and restarting from a log or saved state
  * the ability to leverage parallel & distributed computing
  * the ability to apply a selection of logging and/or verbose monitors
  * the ability to configure solver-independent termination conditions
  * the ability to impose custom and user-defined penalties and constraints
 .
 mystic is part of pathos, a Python framework for heterogeneous computing.

Package: python3-mystic
Architecture: all
Depends: python3-matplotlib,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python3-pathos,
          python3-pyina
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-mystic-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Recommends: python3-mystic
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains the mystic documentation in HTML format.
Build-Profiles: <!nodoc>

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?mystic-@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
  https://github.com/uqfoundation/mystic/tags \
  (?:.*?/)?mystic-@ANY_VERSION@@ARCHIVE_EXT@

## mystic 0.4.2

=== debian/changelog ===
mystic (0.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Fix monitoring script.
  * debian/control: Update Built-Using field for doc package.

 -- Boyuan Yang <byang@debian.org>  Thu, 01 Feb 2024 19:12:43 -0500

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.7),
-               python3-klepto (>= 0.2.4),
+               python3-dill (>= 0.3.8),
+               python3-klepto (>= 0.2.5),
                python3-matplotlib,
                python3-mpmath,
                python3-numpy,
@@ -66,6 +66,7 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
 Recommends: python3-mystic
+Built-Using: ${sphinxdoc:Built-Using}
 Description: ${source:Synopsis} (documentation)
  ${source:Extended-Description}
  .

## mystic 0.4.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = mystic
SOURCEDIR     = source
BUILDDIR      = build

# Internal variables
ALLSPHINXOPTS = $(SPHINXOPTS) $(SOURCEDIR)

# Put it first so that "make" without argument is like "make help".
help:
	@echo "Please use \`make html' to generate standalone HTML files"

.PHONY: help clean html Makefile

clean:
	-rm -rf $(BUILDDIR)

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)
	-rm -f $(BUILDDIR)/../../scripts/_*py
	-rm -f $(BUILDDIR)/../../scripts/_*pyc
	-rm -rf $(BUILDDIR)/../../scripts/__pycache__

=== debian/changelog ===
mystic (0.4.3-3) unstable; urgency=medium

  * Team upload.
  * Fix docs formatting for sphinx 8.x (closes: #1090106).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 12:09:28 +0000

mystic (0.4.3-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/0002-test_collapse.py-Skip-known-problematic-test.patch:
    Skip known problematic test. (See #1066046)

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Nov 2024 19:05:50 -0500

mystic (0.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump build-dep versions.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 09:57:26 -0500

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-dill (>= 0.3.8),
-               python3-klepto (>= 0.2.5),
+               python3-dill (>= 0.3.9),
+               python3-klepto (>= 0.2.6),
                python3-matplotlib,
                python3-mpmath,
                python3-numpy,
@@ -18,7 +18,7 @@
                python3-sphinx-notfound-page <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-sympy
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/uqfoundation/mystic
 Vcs-Git: https://salsa.debian.org/python-team/packages/mystic.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mystic

=== debian/tests/control ===
Tests: pytest
Depends: python3-all,
         python3-multiprocess,
         python3-mystic,
         python3-scipy,
         python3-sklearn
Restrictions: allow-stderr
